-- name=int_panel_booster_sorcery
--------------------------------------------------------------------------------
function public.__InitObjects ()

  int_control.Add( "int_panel_booster_sorcery" );

  common.TapSet( "obj_int_panel_booster_sorcery_horizontal",
  {
    func_true = function ()

      private.Hide();
      private.Func_Hide( "horizontal" );

      cmn.PlaySnd( "click_wood" );

    end
  } );

  common.TapSet( "obj_int_panel_booster_sorcery_vertical",
  {
    func_true = function ()

      private.Hide();
      private.Func_Hide( "vertical" );

      cmn.PlaySnd( "click_wood" );

    end
  } );

  common.TapSet( "obj_int_panel_booster_sorcery_lock",
  {
    func_true = function ()

      private.Hide();
      private.Func_Reject();

    end
  } );

  ObjSet( "obj_int_panel_booster_sorcery_lock",
  {
    inputrect_w = GetAppWidth(),
    inputrect_h = GetAppHeight() } );  

end;
--------------------------------------------------------------------------------
function public.Show ( x, y, func_hide, func_reject )

  private.Func_Hide = func_hide;
  private.Func_Reject = func_reject;

  int_control.Attach( "int_panel_booster_sorcery" );

  ObjMultiSet( 
  {
    { "obj_int_panel_booster_sorcery", { pos_x = x + 35, pos_y = y + 35 } }
  } );

end;
--------------------------------------------------------------------------------
function private.Hide ()

  int_control.Detach( "int_panel_booster_sorcery" );

end;
--------------------------------------------------------------------------------