-- name=model_game
DEV_VERSION = true;
TUTORIAL    = false;
--------------------------------------------------------------------------------
function public.Init ()

  if ( IsAndroid() and ( wiz.Android.GetPlatform() == "google" ) ) then
  
    ne.msg.Subscribe(
      "Event_GooglePlay_LoggedStateChanged",
      private.OnGooglepLayLoggedStateChanged
    );
  
  end;
  
  private.css_available = false;

end;
--------------------------------------------------------------------------------
function private.OnGooglepLayLoggedStateChanged ( msg, params )
  
  if ( params.logged ) then
  
    SetGooglePlayLogged( true );
  
  end;

end;
--------------------------------------------------------------------------------
-- function ... () end;
--------------------------------------------------------------------------------
function public.IsCCSAvailable ()

  return private.css_available;

end;
--------------------------------------------------------------------------------
function public.RequestIsCCSAvailable ()

  local platform = GetPlatform();
  local silent = true;

  m_client.WaitingForAnswer( 
    "setting",
    "IsCcsAvailable",
    { platform = platform },
    private.OnIsCcsAvailableReply,
    silent
  );

end;
--------------------------------------------------------------------------------
function private.OnIsCcsAvailableReply ( msg, params )

  private.css_available = ( params or {} ).available;

end;
--------------------------------------------------------------------------------