-- name=int_dialog_booster_buy
--------------------------------------------------------------------------------
function public.__InitObjects ()

  int.Button_Create(
    "btn_int_dialog_booster_buy_close",
    {
      design = "close"
    },
    function()
      
      private.Exit();
      
    end
  );
  
  int.Button_Create(
    "btn_int_dialog_booster_buy_buy",
    {
      design = "price"
    },
    function()
      
      if ( private.Buy() ) then
       
        private.Exit();
        
      end;
      
    end
  );
  
  int.Center_Object( "obj_int_dialog_booster_buy");

end;
--------------------------------------------------------------------------------
function public.Show ( booster_name, booster_data, func_buy, func_exit )

  private.Buy  = func_buy;
  private.Exit = func_exit;
  
  ObjMultiSet( {
    { "anm_int_dialog_booster_buy_window", { 
      title =  StringGet( "str_int_dialog_booster_buy_description" );
      booster_title = StringGet( "str_item_"..booster_name.."_caption" ),
      booster_desc = StringGet( "str_item_"..booster_name.."_description" ),
      booster_count = StringGet( "x"..booster_data.count )
    } },
    { "anm_int_dialog_booster_buy_buy", { 
      tt_title = tostring( booster_data.price )
    } },
    { "spr_int_dialog_booster_buy_mid_icon_booster",
      { res = "assets/content/boosters/"..booster_name } }
  } );
  
  int.Dialog_Open( "booster_buy" );

end;
--------------------------------------------------------------------------------
function public.Hide ( func_execute )

  int.Dialog_Close( "booster_buy", func_execute );

end;
--------------------------------------------------------------------------------