-- name=int_dialog_ingame_friends_nickname
--------------------------------------------------------------------------------
function public.__InitModule ()

  private.app_w = int.W();
  private.app_h = int.H();
  private.app_o = int.Orientation();
  
end;
--------------------------------------------------------------------------------
function public.__InitObjects ()

  private.CreateButtons();
  private.Adapt();

end;
--------------------------------------------------------------------------------
--function ... () end;
--------------------------------------------------------------------------------
function private.Adapt ()

  private.this = "obj_int_dialog_ingame_friends_nickname";

  private.window_area = {
    default  = { - 272, - 300, 544, 600 }
  };

  int_window.SetArea( private.this, private.window_area.default );

  ObjMultiSet( {
    { private.this, {
      pos_x = 0.5 * private.app_w,
      pos_y = 0.5 * private.app_h
    } },
    { "anm_int_dialog_ingame_friends_nickname_window", { 
      title = "str_int_dialog_ingame_friends_nickname_caption",
      description = "str_int_dialog_ingame_friends_nickname_description"
    } }
  } );

end;
--------------------------------------------------------------------------------
function private.CreateButtons ()

  int.Button_Create(
    "btn_int_dialog_ingame_friends_nickname_close",
    {
      design = "close"
    },
    function() private.FuncClose(); end
  );
  
  int.Button_Create(
    "btn_int_dialog_ingame_friends_nickname_accept",
    {
      color  = "green",
      design = "medium"
    },
    function() private.FuncOk(); end
  );

end;
--------------------------------------------------------------------------------
--function ... () end;
--------------------------------------------------------------------------------
function public.Show ( preset_name, func_accept, func_close )

  private.player_name = preset_name;
  
  private.FuncAccept = func_accept;
  private.FuncClose  = func_close;
  
  private.FuncOk = function () 
    private.player_name = ne.obj.Get( "ted_int_dialog_ingame_friends_nickname" ).text;
    private.FuncAccept( private.player_name );
    private.FuncClose();
  end;

  local button_text = "str_int_dialog_ingame_friends_nickname_button_ok";
  
  int.Button_SetText( "btn_int_dialog_ingame_friends_nickname_accept", button_text );
  
  m_object.Set( "ted_int_dialog_ingame_friends_nickname", 
  { 
    text = preset_name,
    event_mup = private.Tap
  } );
  
  private.active = true;

  int.Dialog_Open( "ingame_friends_nickname" );
  
  cmn.PlaySnd( "app_info" );
  
end;
--------------------------------------------------------------------------------
function public.Hide ( func_end )
  
  private.active = false;

  cmn.PlaySnd( "ok_info" );

  int.Dialog_Close( "ingame_friends_nickname", function ()

    if ( func_end ) then

      func_end();

    end;

  end );

end;
--------------------------------------------------------------------------------
function private.Tap ()
  
  m_object.Set( "ted_int_dialog_ingame_friends_nickname", 
  { 
    text = ""
  } );
  
end;
--------------------------------------------------------------------------------