-- name=int_dialog_map_comingsoon
--------------------------------------------------------------------------------
function public.__InitObjects ()
  
  private.CreateButtons();
  private.Adapt();
  
end;
--------------------------------------------------------------------------------
--function ... () end;
--------------------------------------------------------------------------------
function public.Show ( section_name, func_accept )

  private.active = true;
  private.Accept = func_accept;

  ObjSet(
    "anm_int_dialog_map_comingsoon_window",
    {
      title    = ne.strings.Get( "str_int_dialog_map_comingsoon_caption" ),
      desc     = ne.strings.Get( "str_int_dialog_map_comingsoon_message_"..section_name ),
      bg_image = "bg_default"
    }
  );
          
  int.Dialog_Open( "map_comingsoon" );

end;
--------------------------------------------------------------------------------
function public.Hide ( func_OnHide )

  if ( not private.active ) then

    return;

  end;

  private.active = false;
  
  int.Dialog_Close( "map_comingsoon", func_OnHide );

end;
--------------------------------------------------------------------------------
--function ... () end;
--------------------------------------------------------------------------------
function private.CreateButtons ()

  int.Button_Create(
    "btn_int_dialog_map_comingsoon_accept",
    {
      title  = "str_int_dialog_map_comingsoon_accept",
      color  = "green",
      design = "medium",
      sound  = "simply_click"
    },
    function()
      
      private.Accept();
      
    end
  );
  
end;
--------------------------------------------------------------------------------
function private.Adapt ()

  int.Center_Object( "obj_int_dialog_map_comingsoon" );
  
end;
--------------------------------------------------------------------------------