-- name=int_dialog_reward
--------------------------------------------------------------------------------
function public.__InitModule ()
  
  private.this_obj = "obj_int_dialog_reward";
  private.this_anm = "anm_int_dialog_reward";
    
end;
--------------------------------------------------------------------------------
function public.__InitObjects ()

  private.Adapt();
    
end;
--------------------------------------------------------------------------------
--function ... () end;
--------------------------------------------------------------------------------
function public.Show (
    res,
    count,
    func_close
  )

  if ( private.active ) then

    return;

  end;

  private.active = true;

  private.SetDefault( res, count );

  AnimPlay(
    private.this_anm,
    "appear",
    function ()

      AnimPlay(
        private.this_anm,
        "click",
        func_close
      );

    end
  );
  
end;
--------------------------------------------------------------------------------
function public.Hide ( func_exec )

  if not ( private.active ) then

    return;

  end;
  
  private.active = false;

  if ( func_exec ) then

    func_exec();

  end;
 
end;
--------------------------------------------------------------------------------
-- function ... () end;
--------------------------------------------------------------------------------
function private.Adapt ()

  local w, h = int.W(), int.H();

  ObjSet( private.this_obj,
    {
      input          = false,
      inputrect_init = true,
      inputrect_x    = -0.5 * w,
      inputrect_y    = -0.5 * h,
      inputrect_w    = w,
      inputrect_h    = h
    }
  );
  
  int.Center_Object( private.this_obj );

end;
--------------------------------------------------------------------------------
function private.SetDefault ( res, count )

  ObjSet( private.this_anm,
    {
      icon  = res,
      count = count
    }
  );

end;
--------------------------------------------------------------------------------