-- name=int_panel_stage_win
--------------------------------------------------------------------------------
function public.__InitModule ()
  
end;
--------------------------------------------------------------------------------
function public.__InitObjects ()

  int_control.Add( "int_panel_stage_win" );
  
  int.Center_Object( "int_panel_stage_win" );
  
  private.message = {
    fox_appear     = ne.strings.Get( "str_int_panel_stage_win_bonus" ),
    level_complete = ne.strings.Get( "str_int_panel_stage_win_level_complete" )
  };

end;
--------------------------------------------------------------------------------
function public.Show ( animation, func_end, func_skin_attach, func_skin_detach )

  private.active = true;
  
  int_control.Attach( "int_panel_stage_win" );
  
  if ( func_skin_attach ) then

    private.skin = func_skin_attach( "obj_int_panel_stage_win_hero" );
    
    AnimPlay( private.skin, "run4", "" );
    
  end;
  
  local objects = {};
  
  table.insert( objects, 
  {
    "int_panel_stage_win", { active = true, visible = true }
  } );
  
  table.insert( objects, 
  {
    "anm_int_panel_stage_win", { message = private.message[ animation ] }
  } );

  ObjMultiSet( objects );
  
  -- JK: fox voice
  if ( animation == "fox_appear" ) then
  
    cmn.PlaySnd( "flying_fox_end_level" );
  
  end;
  
  AnimPlay( "anm_int_panel_stage_win", animation, function()
   
    private.Hide();
    
    if ( private.skin ) then
      
      func_skin_detach( private.skin );
      
      private.skin = nil;
      
    end;
    
    if ( func_end ) then
      
      func_end();
      
    end;
    
  end );

end;
--------------------------------------------------------------------------------
function public.IsActive ()
  
  return private.active;
  
end;
--------------------------------------------------------------------------------
function private.Hide ()

  private.active = false;
  
  int_control.Detach( "int_panel_stage_win" );
  
  ObjSet( "int_panel_stage_win", { active = false, visible = false } );

end;
--------------------------------------------------------------------------------