-- name=m_story
--------------------------------------------------------------------------------
function private.Trace ( text )

  common.Trace( "[ MODEL ] [ STORY ] "..text );

end;
--------------------------------------------------------------------------------
function public.Init ()

  private.Trace( "Initialized." );

end;
--------------------------------------------------------------------------------
--function ... () end;
--------------------------------------------------------------------------------
function public.GetData ( section, cond_type, cond_name )

  local query = 
  {
    query      = "find",
    group      = "static",
    collection = "sections",
    indice     = "name",
    criteria   = { like = section }
  };

  local section_data = m_storage.Execute( query ).result;
  
  if ( section_data and section_data.story ) then
  
    local story = section_data.story;
    
    if ( story.type == cond_type and story.name == cond_name )  then
    
      local story_data =
      {
        res = "assets/content/"..section.."/story/anm_story_"..cond_name,
        aud = "assets/content/"..section.."/story/aud_story_"..cond_name
      };
      
      return story_data;
    
    end;
  
  end;
  
  return nil;

end;
--------------------------------------------------------------------------------